%global pkg_name        YAML-Tiny
%global pkg_version     1.17
%global rpm_pkg_version 1.17
%global rpm_pkg_release 1.n0i.5

Summary:       YAML::Tiny - Read/Write YAML files with as little code as possible
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(File::Spec) >= 0.80

%if %{!?_without_test:1}0
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(YAML) >= 0.62
BuildRequires: perl(YAML::Syck) >= 0.84
%endif

%description
YAML::Tiny is a perl class for reading and writing YAML-style files, written
with as little code as possible, reducing load time and memory overhead.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_files}


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 1.17-1.n0i.5
- version 1.17

* Mon Oct 22 2007 Marius Feraru <altblue@n0i.net> - 1.16-1.n0i.4
- version 1.16

* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 1.14-1.n0i.3
- version 1.14

* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 1.13-1.n0i.2
- version 1.13

* Fri Jun 01 2007 Marius Feraru <altblue@n0i.net> - 1.09-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.09
